/*
 * @Descripttion: 当前组件信息
 * @version: 1.0.0
 * @Author: 无尘
 * @Date: 2020-07-16 16:37:05
 * @LastEditors: 无尘
 * @LastEditTime: 2020-07-28 10:32:06
 */
import _import from './_import.js';

const errorPage = r => {
  import('@/views/errorPage/index.vue').then(module => {
    r(module);
  });
};

export const routes = [
  {
    path: '/',
    name: '/',
    redirect: 'login'
  },
  {
    path: '/login',
    name: '登录',
    component: _import('login', 'index')
  },
  {
    path: '/index',
    name: 'index',
    component: _import('index', 'index')
  },
  {
    // 通讯录
    path: '/contacts',
    name: '通讯录',
    redirect: 'contactsList',
    component: _import('business', 'index'),
    children: [
      {
        path: '/contactsList',
        name: '通讯录',
        component: _import('business', 'contacts')
      },
      {
        path: '/syncLog',
        name: '通讯录日志',
        component: _import('business', 'sync-log')
      },
      {
        path: '/authMerchant',
        name: '授权商户',
        component: _import('business', 'auth-merchant')
      },
      {
        path: '/newAuthMerchant',
        name: '新增授权',
        component: _import('business', 'new-auth-merchant')
      },
      {
        path: '/auditLog',
        name: '审核日志',
        component: _import('business', 'audit-log')
      },
    ]
  },
  {
    // 审核中心
    path: '/reviewCenter',
    name: '审核中心',
    redirect: 'unreview',
    component: _import('reviewCenter', 'index'),
    children: [
      {
        path: '/reviewed',
        name: '已审核',
        component: _import('reviewCenter', 'reviewed')
      },
      {
        path: '/unreview',
        name: '未审核',
        component: _import('reviewCenter', 'unreview')
      }
    ]
  },
  {
    // 企业设置
    path: '/enterprise',
    name: '企业设置',
    redirect: 'enterpriseSet',
    component: _import('enterprise', 'index'),
    children: [
      {
        path: '/enterpriseSet',
        name: '企业信息',
        component: _import('enterprise', 'enterprise-set')
      },
      {
        path: '/admin-list',
        name: '管理员',
        component: _import('enterprise', 'admin-list')
      },
      {
        path: '/edit-role',
        name: '新建、编辑角色',
        component: _import('enterprise', 'edit-role')
      },
      {
        path: '/edit-admin',
        name: '新建编辑管理员',
        component: _import('enterprise', 'edit-admin')
      },
      {
        path: '/store-admin-list',
        name: '门店角色',
        component: _import('enterprise', 'store-admin-list')
      },
      {
        path: '/edit-store-role',
        name: '编辑门店角色',
        component: _import('enterprise', 'edit-store-role')
      },
      {
        path: '/superAdmin',
        name: '超级管理员',
        component: _import('enterprise', 'super-admin')
      }
    ]
  },
  {
    path: '/gic-error',
    name: 'gic跳转失败页',
    component: _import('errorPage', 'gic-error')
  },
  {
    path: '/403',
    name: '无权访问',
    component: errorPage
  },
  {
    path: '/404',
    name: 'error404',
    component: errorPage
  },
  {
    path: '/500',
    name: 'error500',
    component: errorPage
  },
  {
    path: '*',
    redirect: '/404',
    hidden: true
  }
];
